Package groovy.lang

# Class Tuple1<T1>

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
groovy.lang.Tuple
groovy.lang.Tuple1<T1>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable`, `Iterable`, `Collection`, `List`, `RandomAccess`

public final class Tuple1<T1> extends Tuple
Represents a list of 1 typed Object.

Since:
  2.5.0
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tuple1(Tuple1<T1> tuple)`
  Creates a tuple from the supplied tuple.
  `Tuple1(T1 t1)`
  Creates a tuple containing the supplied elements.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Tuple1<T1>`
  `clone()`
  `T1`
  `getFirst()`
  Deprecated.
  `T1`
  `getV1()`
  Returns the first element.

  ### Methods inherited from class groovy.lang.Tuple

  `compareTo, equals, get, hashCode, size, subList, subTuple, toArray, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

  ### Methods inherited from class java.util.AbstractList

  `add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set`

  ### Methods inherited from class java.util.AbstractCollection

  `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator`

- ## Constructor Details

  - ### Tuple1

    public Tuple1(T1 t1)
    Creates a tuple containing the supplied elements.
    Parameters:
      `t1` - the first element

  - ### Tuple1

    public Tuple1(Tuple1<T1> tuple)
    Creates a tuple from the supplied tuple.
    Parameters:
      `tuple` - the source tuple

- ## Method Details

  - ### getFirst

    @Deprecated public T1 getFirst()
    Deprecated.
    Returns the first element.
    Returns:
      the first element

  - ### getV1

    public T1 getV1()
    Returns the first element.
    Returns:
      the first element

  - ### clone

    public Tuple1<T1> clone()
    Overrides:
      `clone` in class `Tuple`